#
# spec file for package xorg-x11-proto-devel
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-proto-devel
Url:            http://xorg.freedesktop.org/
Version:        7.4
Release:        1.27.1
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Libraries/X11
Summary:        Include Files and Libraries mandatory for X11 Development
Source0:        applewmproto-X11R7.0-1.0.3.tar.bz2
Source1:        bigreqsproto-X11R7.0-1.0.2.tar.bz2
Source2:        compositeproto-0.4.tar.bz2
Source3:        damageproto-1.1.0.tar.bz2
Source4:        dmxproto-X11R7.0-2.2.2.tar.bz2
Source5:        fixesproto-X11R7.1-4.0.tar.bz2
Source6:        fontcacheproto-X11R7.0-0.1.2.tar.bz2
Source7:        fontsproto-X11R7.0-2.0.2.tar.bz2
Source8:        glproto-1.4.12.tar.bz2
Source9:        inputproto-1.5.1.tar.bz2
Source10:       kbproto-1.0.3.tar.bz2
Source11:       printproto-1.0.4.tar.bz2
Source12:       randrproto-1.3.0.tar.bz2
Source13:       recordproto-X11R7.0-1.13.2.tar.bz2
Source14:       renderproto-0.9.3.tar.bz2
Source15:       resourceproto-X11R7.0-1.0.2.tar.bz2
Source16:       scrnsaverproto-X11R7.1-1.1.0.tar.bz2
Source17:       trapproto-X11R7.0-3.4.3.tar.bz2
Source18:       util-macros-1.10.1.tar.bz2
Source19:       videoproto-X11R7.0-2.2.2.tar.bz2
Source20:       windowswmproto-X11R7.0-1.0.3.tar.bz2
Source21:       xcmiscproto-X11R7.0-1.1.2.tar.bz2
Source22:       xextproto-7.0.3.tar.bz2
Source23:       xf86bigfontproto-X11R7.0-1.1.2.tar.bz2
Source24:       xf86dgaproto-2.0.3.tar.bz2
Source25:       xf86driproto-2.0.4.tar.bz2
Source26:       xf86miscproto-X11R7.0-0.9.2.tar.bz2
Source27:       xf86rushproto-X11R7.0-1.1.2.tar.bz2
Source28:       xf86vidmodeproto-X11R7.0-2.2.2.tar.bz2
Source29:       xineramaproto-X11R7.0-1.1.2.tar.bz2
Source30:       xproto-7.0.13.tar.bz2
Source31:       xproxymanagementprotocol-X11R7.0-1.0.2.tar.bz2
Source32:       evieext-X11R7.0-1.0.2.tar.bz2
Source33:       xcb-proto-1.1.tar.bz2
Source34:       libpthread-stubs-0.1.tar.bz2
Source35:       vncproto-20070501.tar.bz2
Source36:       xcliplistproto-20070501.tar.bz2
Source37:       dri2proto-2.1.tar.bz2
Patch:          xcb-proto-dri2.diff

%description
This package contains all necessary include files and libraries needed
to develop X11 applications that require these.



Authors:
--------
    
    Bob Scheifler
    Dave Rosenthal
    Jim Gettys
    Keith Packard
    Phil Karlton
    Raymond Drewry
    Ron Newman
    Scott McGregor
    Susan Angebrandt
    Todd Newman

%prep
%setup -T -c %{name}
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done
pushd xcb-proto-*
%patch -p1
popd

%build

%install
pushd util-macros-*
  #autoreconf -fi
  ./configure --prefix=/usr --libdir=%{_libdir}
  make
  make install DESTDIR=$RPM_BUILD_ROOT
popd
export ACLOCAL="aclocal --force -I /usr/share/aclocal -I $RPM_BUILD_ROOT/usr/share/aclocal"
for dir in $(ls */configure.ac); do
  pushd $(dirname $dir)
    echo $dir | grep -q -E "vncproto|xcliplistproto|xcb-proto" && autoreconf -fi
    ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                --prefix=/usr --libdir=%{_libdir}
    make
    make install DESTDIR=$RPM_BUILD_ROOT
  popd
done
# Bug 260745
mv $RPM_BUILD_ROOT/usr/share/doc/*/*.txt .
rmdir $RPM_BUILD_ROOT/usr/share/doc/*
#
rm $RPM_BUILD_ROOT/usr/share/util-macros/INSTALL

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre
test -L usr/include/X11 && rm usr/include/X11
exit 0

%files
%defattr(-,root,root)
%doc *.txt
%dir /usr/include/GL
%dir /usr/include/GL/internal
%dir /usr/include/X11/PM
%dir /usr/include/X11/dri
%dir /usr/include/X11/extensions
%dir /usr/include/X11/fonts
/usr/include/GL/*.h
/usr/include/GL/internal/*.h
/usr/include/X11/*.h
/usr/include/X11/PM/*.h
/usr/include/X11/dri/*.h
/usr/include/X11/extensions/*.h
/usr/include/X11/fonts/*.h
/usr/%{_lib}/pkgconfig/*.pc
/usr/share/pkgconfig/*.pc
/usr/share/aclocal/*.m4
/usr/share/xcb/

%changelog
* Fri Oct  8 2010 sndirsch@novell.com
- glproto 1.4.12
  * Mesa 7.9 requires glproto >= 1.4.11
* Fri Oct  8 2010 sndirsch@novell.com
- util-macros 1.10.1
  * xf86-video-intel 2.13.0 requires xorg-macros >= 1.8
* Wed Dec  2 2009 sndirsch@suse.de
- xcb-proto-dri2.diff
  * Add DRI2 protocol, based off of dri2proto.h and the server
    code. (v2)
* Wed Dec  2 2009 sndirsch@suse.de
- util-macros 1.3.0
  * required for xf86-video-intel >= 2.10 RC1
* Wed Nov 18 2009 sndirsch@suse.de
- This xorg-x11-proto-devel package update is part of the X stack
  update for SLE11-SP1 (FATE #307236)
* Thu Oct  1 2009 sndirsch@suse.de
- dri2proto 2.1
- randrproto 1.3.0
- inputproto 1.5.1
- util-macros 1.2.2
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Tue Jul 29 2008 sndirsch@suse.de
- inputproto 1.4.4
  * C sucks: define XEventClass in terms of unsigned int, not CARD32.
  * Typo fix.
  * Add DeviceControlChanged define.
- obsoletes inputproto.diff
* Mon Jul 21 2008 sndirsch@suse.de
- back to xcb-proto 1.1, since xcb-proto 1.2 requires python for
  building, which requires xorg-x11-proto-devel for building
  ==> autobuild loop
* Fri Jul 18 2008 sndirsch@suse.de
- xcb-proto 1.2
* Fri Jul  4 2008 sndirsch@suse.de
- dri2proto 1.1/xf86driproto 2.0.4 (required for xorg-server 1.5)
- randrproto 1.2.2
  * Bug #16149: Make the field not be named 'delete' in C++ mode
  * Delete duplicate B32's in xRRScreenChangeNotifyEvent
  * Correct a copy'n'paste error in RRGetOutputInfo spec text
* Thu Jun 12 2008 sndirsch@suse.de
- xproto 7.0.13
- xextproto 7.0.3
* Wed Mar 12 2008 sndirsch@suse.de
- inputproto.diff
  * define XEventClass in terms of unsigned int, not CARD32 ...
    to fix the build of some Qt and KDE packages
* Fri Mar  7 2008 sndirsch@suse.de
- printproto 1.0.4
* Thu Mar  6 2008 sndirsch@suse.de
- util-macros 1.1.6
- inputproto 1.4.3
- xproto 7.0.12
* Thu Nov 15 2007 sndirsch@suse.de
- glproto 1.4.9
  * Add proto structs for GLX_SGIX_pbuffer
* Mon Nov  5 2007 sndirsch@suse.de
- xcb-proto 1.1
  * In the eleven months since XCB's 1.0 release, a few portability
    and correctness bugs have been found in libxcb. This release
    fixes those, adds nicer handling of Xlib locking bugs, updates
    pure-XCB extension support for RandR to version 1.2 and DAMAGE
    to version 1.1, and enhances the libxcb documentation.
* Sun Sep 30 2007 sndirsch@suse.de
- xproto 7.0.11
  * Push out the keysym changes
* Sun Sep 30 2007 sndirsch@suse.de
- removed obsolete patch 'inputproto-1.4.diff'
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Fri Sep 28 2007 sndirsch@suse.de
- renderproto-0.9.3
  * Along with documentation updates, this release fixes several
    types for the X Server on 64-bit platforms, which had resulted
    in BadMatches when unlucky. Be warned that this will break
    server ABI on those platforms in fixing them. This is intended
    to be included in video driver ABI 2.0 (server 1.4), pending
    merge of the server dependency on this version.
* Thu Sep  6 2007 sndirsch@suse.de
- xf86dgaproto 2.0.3
  * This release is part of a pair with libXxf86dga that fixes a
    sign extension bug on I32L64 platforms.
* Fri Aug 31 2007 sndirsch@suse.de
- inputproto 1.4.2.1:
  * The inputproto-1.4.2 tarball had a busted configure script,
    here are the new ones.
* Fri Jul 13 2007 sndirsch@suse.de
- inputproto-1.4.diff (fixes build for some input drivers):
  * readded missing defines TS_Raw/TS_Scaled
  * xDeviceTSCalibrationCtl has been extended and renamed to
    xDeviceAbsCalibCtl
* Thu Jul  5 2007 sndirsch@suse.de
- inputproto 1.4.2:
  * Just a little fix to stop compilation errors.
* Wed Jul  4 2007 sndirsch@suse.de
- compositeproto 0.4
* Tue May  1 2007 sndirsch@suse.de
- updated vncproto/xcliplistproto to current CVS (2007-05-01)
* Fri Apr  6 2007 sndirsch@suse.de
- moved randr/damage proto spec to better location (Bug #260745)
* Wed Feb 21 2007 sndirsch@suse.de
- updated randrpoto to release 1.2.1
  * Install the randr protocol description.
  * Fix the size of the padding fields of xRRGetCrtcGamma.
  * Fix padding bugs discovered in XCB work
  * Merge branch 'multi-monitor'
  * More bugs found by Ian Osgood during the XCB work.
  * Fix wording about requesting ConfigureNotify events.
* Thu Jan 11 2007 sndirsch@suse.de
- added vncproto/xcliplistproto from xf4vnc project
* Thu Jan 11 2007 sndirsch@suse.de
- updated damageproto to release 1.1.0
  * adds new DamageAdd request which allows clients to report
    damage from direct rendering.
* Wed Dec 27 2006 sndirsch@suse.de
- updated util-macros to release 1.1.5
  * X.Org Bug 9368: non portable sed usage in xorgversion.m4
* Sun Dec 17 2006 sndirsch@suse.de
- updated util-macros to release 1.1.4
  * Makefile.am: make ChangeLog hook safer
- updated xproto to release 7.0.10
  * Makefile.am: make ChangeLog hook safer
  * don't distribute Xfuncproto.h and Xpoll.h
* Sun Dec  3 2006 sndirsch@suse.de
- udpated xcb-proto to release 1.0
- added libpthread-stubs (required since xcb 1.0)
- updated util-macros to release 1.1.3
  * xorgversion: automatic PACKAGE_VERSION_* (bug #8590)
* Wed Nov  8 2006 sndirsch@suse.de
- updated util-macros to release 1.1.2 (X.Org 7.2 RC2)
  * Make building pdf's configurable, though only disabled when it
    is explicitly set to no
  * Add support for building docbook docs
  * Fix handling of defs.ent to allow arbitrary install prefixes.
    Introduce separate configure switches for each output format.
* Fri Nov  3 2006 sndirsch@suse.de
- updated xcb-proto to release 1.0 RC3 (0.9.93)
* Thu Oct 26 2006 sndirsch@suse.de
- updated xproto to release 7.0.9
  * A very small release, that just fixes _X_INLINE for non-gcc
    compilers, and adds _X_{,UN}LIKELY.
* Thu Oct 26 2006 sndirsch@suse.de
- set version to 7.2 in specfile
* Mon Oct 16 2006 sndirsch@suse.de
- added xcb-proto (required by optional libxcb)
* Thu Sep 21 2006 sndirsch@suse.de
- updated xproto to release 7.0.8
  * inlines and a couple of new keysyms, as well as an AIX fix
* Wed Sep 20 2006 sndirsch@suse.de
- updated glproto to release 1.4.8:
  * (hopefully) last update of the GLX_EXT_texture_from_pixmap
    opcodes.
* Sun Aug 27 2006 sndirsch@suse.de
- updated util-macros to release 1.1.1:
  * remove man suffix special-casing for GNU userland systems
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
- removed /usr/include/X11 from filelist (conflicts with filesystem)
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Fri Jul 21 2006 sndirsch@suse.de
- updated kbproto/util-macros
* Thu Jun 22 2006 sndirsch@suse.de
- created package
